/**
 * Login window
 *
 * @author Pierre Hubert
 */

#pragma once

#include <QDialog>
#include <QMouseEvent>

QT_BEGIN_NAMESPACE
namespace Ui { class LoginWindow; }
QT_END_NAMESPACE

class LoginWindow : public QDialog
{
    Q_OBJECT

public:
    LoginWindow(QWidget *parent = nullptr);
    ~LoginWindow();

protected:
        void mousePressEvent(QMouseEvent *evt);
        void mouseMoveEvent(QMouseEvent *evt);

private slots:
    void on_closeButton_clicked();

private:
    Ui::LoginWindow *ui;
    QPoint mOldPos;
};
