#include "loginwindow.h"
#include "ui_loginwindow.h"

LoginWindow::LoginWindow(QWidget *parent)
    : QDialog(parent)
    , ui(new Ui::LoginWindow)
{
    ui->setupUi(this);

    setWindowFlag(Qt::FramelessWindowHint);
}

LoginWindow::~LoginWindow()
{
    delete ui;
}


void LoginWindow::on_closeButton_clicked()
{
    this->close();
}


void LoginWindow::mousePressEvent(QMouseEvent *evt)
{
    mOldPos = evt->globalPos();
}

void LoginWindow::mouseMoveEvent(QMouseEvent *evt)
{
    const QPoint delta = evt->globalPos() - mOldPos;
    if (false)
        // if locked, ignore delta on y axis, stay at the top
        move(x()+delta.x(), y());
    else
        move(x()+delta.x(), y()+delta.y());
    mOldPos = evt->globalPos();
}
